## python-varlink 32.0.0

=== Makefile ===
PYTHON := $(shell python -c 'import platform;print(platform.python_version().split(".")[0])')
PYTHON2 := $(shell if which python2 &>/dev/null;then which python2; elif [ "$(PYTHON)" == 2 ]; then which python; fi)
PYTHON3 := $(shell if which python3 &>/dev/null;then which python3; elif [ "$(PYTHON)" == 3 ]; then which python; fi)

all: build
.PHONY: all

build:
	rm -fr build
	python3 setup.py bdist_wheel --universal
.PHONY: build

clean:
	rm -rf dist build
.PHONY: clean

check:
	if [ -x "$(PYTHON2)" ]; then $(PYTHON2) -m unittest varlink;fi
	if [ -x "$(PYTHON3)" ]; then $(PYTHON3) -m unittest varlink;fi
.PHONY: check

docs:
	python3 setup.py build_sphinx --source-dir=docs/ --build-dir=docs/build --all-files
.PHONY: docs

docsdeploy: docs
	GIT_DEPLOY_DIR=$(PWD)/docs/build/html GIT_DEPLOY_BRANCH=gh-pages ./git-deploy-branch.sh -m "doc update"
.PHONY: docsdeploy

## python-varlink 31.0.0

=== debian/changelog ===
python-varlink (31.0.0-4) unstable; urgency=medium

  * Team Upload
  * Trim autopkgtest dependencies
  * Trim duplicated dep
  * Fix SyntaxWarning (Closes: #1086968)

  [ Michael R. Crusoe ]
  * correct gbp.conf: upstream branch is "upstream", not "master"

 -- Alexandre Detiste <tchet@debian.org>  Sun, 16 Feb 2025 01:36:46 +0100

python-varlink (31.0.0-3) unstable; urgency=medium

  * Team upload.
  * d/control: build-dep on setuptools-scm to fix wrong "0.0.0" version
  * Run the tests with nose2, like upstream does.
  * d/upstream/metadata: basic information added

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 26 Apr 2024 18:32:56 +0200

python-varlink (31.0.0-2) unstable; urgency=medium

  * No-changes upload for buildds

 -- Luca Boccassi <bluca@debian.org>  Sun, 22 Oct 2023 11:41:28 +0100

python-varlink (31.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1053185)

 -- Luca Boccassi <bluca@debian.org>  Thu, 28 Sep 2023 23:51:32 +0100

=== debian/control ===
Source: python-varlink
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Luca Boccassi <bluca@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-setuptools,
               python3-setuptools-scm,
               python3-nose2 <!nocheck>,
               python3-sphinx <!nodoc>,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-varlink
Vcs-Git: https://salsa.debian.org/python-team/packages/python-varlink.git
Homepage: https://varlink.org/python/
Testsuite: autopkgtest-pkg-python

Package: python3-varlink
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends},
Description: Python implementation of the Varlink protocol
 A Python module that natively implements the Varlink protocol, with client and
 server support.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=varlink
export PYBUILD_AFTER_INSTALL=rm -rf '{destdir}/{install_dir}/varlink/tests'
export PYBUILD_BEFORE_TEST=cp -r {dir}/varlink/tests/ {build_dir}/varlink/

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -N -bman $(CURDIR)/docs/ $(CURDIR)/docs/build/man
endif

=== debian/tests/control ===
Tests: python3-tests
Depends:
 python3-all,
 python3-nose2,
 @,
Restrictions: allow-stderr

## python-varlink 32.0.0

=== debian/changelog ===
python-varlink (32.0.0-1) unstable; urgency=medium

  * gbp.conf: prefix tag with upstream/ to avoid conflicts
  * Update upstream source from tag 'upstream/32.0.0'
  * Drop SyntaxWarning.patch, fixed upstream
  * d/control: bump Standards-Version to 4.7.2, no changes
  * gbp.conf: add config for dch
  * Switch from nose2 to pytest to follow upstream changes

 -- Luca Boccassi <bluca@debian.org>  Tue, 07 Oct 2025 11:24:39 +0100

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
                python3-all,
                python3-setuptools,
                python3-setuptools-scm,
-               python3-nose2 <!nocheck>,
+               python3-pytest <!nocheck>,
                python3-sphinx <!nodoc>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-varlink
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-varlink.git

=== debian/tests/control ===
Tests: python3-tests
Depends:
 python3-all,
 python3-pytest,
 @,
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/python-varlink-$1\.tar\.gz/ \
  https://github.com/varlink/python/tags .*/v?(\d\S+)\.tar\.gz

## python-varlink 32.1.0

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,4 @@
 PYTHON := $(shell python -c 'import platform;print(platform.python_version().split(".")[0])')
-PYTHON2 := $(shell if which python2 &>/dev/null;then which python2; elif [ "$(PYTHON)" == 2 ]; then which python; fi)
 PYTHON3 := $(shell if which python3 &>/dev/null;then which python3; elif [ "$(PYTHON)" == 3 ]; then which python; fi)
 
 all: build
@@ -15,7 +14,6 @@
 .PHONY: clean
 
 check:
-	if [ -x "$(PYTHON2)" ]; then $(PYTHON2) -m unittest varlink;fi
 	if [ -x "$(PYTHON3)" ]; then $(PYTHON3) -m unittest varlink;fi
 .PHONY: check

=== debian/changelog ===
python-varlink (32.1.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/32.1.0'

 -- Luca Boccassi <bluca@debian.org>  Fri, 21 Nov 2025 17:31:04 +0000
